天道酬勤,学无止境

wxPython2.8

解决mac-osx10.11下无法安装wxPython2.8-osx-unicode-2.8.12.1的问题

解决mac-osx10.11下无法安装wxPython2.8-osx-unicode-2.8.12.1的问题 2016-04-18 13:10 狂师 阅读(5554) 评论(0) 编辑 收藏 在mac-osx10.11版本下,安装RIDE前提需要装wxPython2.8-osx-unicode-2.8.12.1库,但在安装wxPython过程中,会提示安装失败,以下提供一种解决方案 这里我共享了这两个文件,请在你的Mac里下载下来,下载地址:链接:https://pan.baidu.com/s/1AhyKtzUfF4Ox0Jdahdli1Q 密码:zmpt 首先说一下方案思路,我先在10.10里找wxPython的安装目录,在windows里其实它是在Python的site-packages目录里,在mac里不是这样,mac的site-packages目录是Library/Python/2.7/site-packages/,在这里我只找到了wxredirect.pth这个文件,根据这个文件的内容,找到了wxPython的目录在/usr/local/lib/wxPython-unicode-2.8.12.1/ 所以我把pth文件和wxPython的目录都拷贝到10.11里,然后按一样的进行配置,就完成了wxPython的安装。 在下载目录里双击wxPython-2.8.12.1

2021-05-14 06:13:55    分类:博客    mac   wxPython2.8